---
updatedAt: 2025-12-08T20:30:12.000Z
agentTools:
  projectIndex: https://docs.lmnl.app/llms.txt
---

# December, 2025

This release centers on delivering improved stability, security, and performance across Liminal Vaults.

# 🚀 What's New

## Transaction History for Vaults Mobile

<Image align="left" border={true} width="300px" src="https://files.readme.io/c0967f042869115c4f732cdbf731fbef1604dd54cf5dd26a1ec09fcb48bcf4a7-mobile-history-tab.jpg" className="border" />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

<br />

With this release, the **Liminal Mobile** app introduces a new **History** page that provides a comprehensive view of all transactions within your organisation, along with their associated metadata.

**Access**:

1. Sign in to the **Mobile** [app](https://docs.lmnl.app/docs/install-and-sign-up-on-the-mobile-app#/).
2. Click the **History** tab from the homepage.

**Key capabilities:**

* Quickly review and verify transaction activities at any time to maintain a clear audit trail of all financial movements on the go.
* **Search** for a transaction using the search bar.
* **Filter** the transaction history via transaction status and date picker.
* **View** the transaction history details, including transaction metadata.

Refer to the [History](https://docs.lmnl.app/docs/liminal-vaults-mobile-app#/history) section in the **Liminal Mobile** app to view and manage transaction history on your mobile device. Refer to the [Liminal Mobile App](https://docs.lmnl.app/docs/liminal-vaults-mobile-app#/) guide to learn about the mobile app.

# ✨ Improvements

## Address Screening for Transaction Initiation Flow

<Image border={false} src="https://files.readme.io/1270f0a14ad04986235472e3115eff7c907ba4df36c9390a03e600d5a2e69e7e-address_screening-_release.png" />

With this release, **Initiators** can verify transactions for **Address Screening** when initiating (sending) a transaction on the **Vaults** web app. The enhancement strengthens security by enabling Initiators to review and validate destination addresses before submitting a transaction.

**Key capabilities:**

* **Supported wallet**: MPC Mobile and Multisig Withdrawal wallets.
* **MPC Transaction initiation (Send)**: When initiating a transaction as an Initiator via the Vaults web app.
* **Access**: You can initiate transactions from:
  * **Home** > **Send**, or
  * **Wallets** > **Send** on the **Vaults** web app.

Refer to the following guides:

1. Address Screening validation for [MPC Wallet Transactions](https://docs.lmnl.app/docs/supported-use-cases#/mpc-wallet-transaction).
2. Address Screening validation for [Multisig Wallet Transaction](https://docs.lmnl.app/docs/supported-use-cases#/multisig-wallet-transaction).
3. [Initiate and Sign an MPC wallet transaction](https://docs.lmnl.app/docs/transfer-funds-from-a-warm-mpc-wallet#/initiating-a-transaction-on-web).
4. Initiate and Sign a [Multisig wallet transaction](https://docs.lmnl.app/docs/initiate-multi-sig-transaction#/).

## Transaction History Timeline

<Image align="center" border={true} src="https://files.readme.io/506cd85a7d0b59662a465dfbf1e3eca856c53ae6482ef6b33fa81baa02a63f8d-timeline-releasenote.png" className="border" />

With this release, the **Transactions** **History** side-panel is enhanced with a **Timeline** tab to provide a chronological order of all user-initiated transaction events. The **Timeline** record is only available for **Send** transactions.

**Key capabilities:**

* **Enhanced user experience**: Quickly track and follow every step in a transaction journey as each user-initiated event and its description are recorded chronologically.
* **Comprehensive visibility into transaction lifecycle**: Displays the user name, their IP address, and event timestamp for improved transparency and audit readiness.
* **Recorded Events:** Gain visibility with transaction events recorded during their lifecycle.

Refer to the [Timeline](https://docs.lmnl.app/docs/history#/timeline) section in the [History](https://docs.lmnl.app/docs/history#/) guide to learn more.

## Disabled Resend button

The **Resend** button is disabled for [Periodic](https://docs.lmnl.app/reference/periodic-webhooks#/) webhooks in **Receive** transactions to improve clarity, as this webhook type is intermediary and cannot be resent.

## Enhanced Whitelisted Address Sorting in Vaults Mobile

Improved the sorting order of whitelisted addresses when the user initiates a transaction from **Vaults Mobile.** The latest whitelisted address now appears at the top.

## Liminal Express SDK v1.3.1

Updated the latest version of **Liminal Express SDK** to `v1.3.1` and the respective Docker container image to `/liminal-sdk-api:1.3.1.`

Refer to the [Update Liminal Express](https://docs.lmnl.app/reference/update-liminal-express) guide to update to the latest version

# 🛠️ Resolved Issues

* **`sequenceId` Consistency in Wenhook**
  Fixed an issue where `sequenceId` was missing from some webhook request bodies. The `sequenceId` is now fetched directly from the raw transaction data and populated in webhook request bodies, ensuring consistency.
* **Webhook Performance Optimisation**
  Fixed webhooks optimisation and performance in Vaults UI and Liminal Express SDK for Success and Periodic webhooks for Send and Receive transactions.
* **`x-forwarded-for` Header Validation Fix**
  Resolved an issue where the `x-forwarded-for` header parameter could not handle additional values of whitelisted IP addresses for an API key.  It now correctly supports additional values.
* `Rescan API TransactionHash Fix`
  Fixed an issue where the [Rescan API](https://docs.lmnl.app/reference/rescantransaction-1#/) returned a success response for an invalid `transactionHash` for BTC, ALGO, CELO, DOGE, BCH, and LTC chains. The API now correctly returns a `404` Not Found error for an invalid transactionHash.
* Accurate `externaladdress` in Batch Webhooks
  Fixed an issue where the Receive and Send webhooks for batch transactions returned an inaccurate `externaladdress` in the request body. Now, the `externaladdress` parameter is retrieved accurately.